./* auto generated by yuck -*- nroff -*-
.TH YUCK "1" "May 2014" "yuck 0.1.7" "User Commands"
.SH NAME
yuck - Generate command line option parsers for umbrella commands.
.SH SYNOPSIS
.B yuck
[\fIOPTION\fR]... \fICOMMAND\fRdnl
\fR[\fIARG\fR]\fR...
.SH DESCRIPTION
Generate command line option parsers for umbrella commands.

.PP
\fICOMMAND\fR may be one of:
.TP
.B gen
.
Generate a parser from definitions in FILE, or stdin if omitted.
.TP
.B genman
.
Generate a man page from definitions in FILE, or stdin if omitted.
.TP
.B gendsl
.
Generate the intermediary description of definitions from FILE, or stdin
if omitted.
.TP
.B scmver
.
Guess version number for SCM controlled PATH.
If PATH is a file run a transformation.
If PATH is a directory just output the version number.

Transformations are done through the m4 processor:
YUCK_SCMVER_VTAG     will expand to the tag name.
YUCK_SCMVER_SCM      will expand to the name of the SCM used.
YUCK_SCMVER_DIST     will expand to the distance, that is the number of
                     commits since the last tag.
YUCK_SCMVER_RVSN     will expand to the current commit number.
YUCK_SCMVER_FLAG_DIRTY  is set for changes in the source tree that have
                     not yet been committed.

Definitions in the template yuck-scmver.m4 are prepended, and by
default this defines the YUCK_SCMVER_VERSION macro that expands to the
full version number.

.PP

Recognized \fIOPTION\fRs:
.TP
.B   \fB-h\fR, \fB--help
display this help and exit
.TP
.B   \fB-V\fR, \fB--version
output version information and exit
.TP
.B   \fB-k\fR, \fB--keep
Keep intermediary files.
.TP
.B   \fB-o\fR, \fB--output\fR=\fIFILE
Output goes into FILE instead of stdout.
.SH COMMANDS

.P
.B yuck gen
[\fIOPTION\fR]...
\fR[\fIFILE\fR]\fR...
.br

.P
\fIOPTION\fRs specific to the \fBgen\fR command:
.TP
.B   -H, --header=FILE
Also generate a header file.
.TP
.B       --no-auto-flags
Do not add auto flags (--help, --version).
.TP
.B       --no-auto-actions
Do not automatically handle auto flags.
.TP
.B       --version=VERSION
Hardwire version number.

.P
.B yuck genman
[\fIOPTION\fR]...
\fR[\fIFILE\fR]\fR...
.br

.P
\fIOPTION\fRs specific to the \fBgenman\fR command:
.TP
.B       --version-string=STRING
Hardwire version number as STRING.
.TP
.B       --version-file=FILE
Hardwire version number from FILE.
.TP
.B       --package=STRING
Use package STRING instead of umbrella.
.TP
.B   -i, --include=FILE...
Include sections from FILE
.TP
.B       --info-page[=NAME]
Include reference to Texinfo manual.

.P
.B yuck gendsl
[\fIOPTION\fR]...
\fR[\fIFILE\fR]\fR...
.br

.P
\fIOPTION\fRs specific to the \fBgendsl\fR command:
.TP
.B       --no-auto-flags
Do not add auto flags (--help, --version).
.TP
.B       --no-auto-actions
Do not automatically handle auto flags.
.TP
.B       --version=VERSION
Hardwire version number.

.P
.B yuck scmver
[\fIOPTION\fR]...
\fR[\fIPATH\fR]
.br

.P
\fIOPTION\fRs specific to the \fBscmver\fR command:
.TP
.B   -v, --verbose
Print additional information on stderr.
.TP
.B       --reference=FILE
Store version reference in FILE and don't touch
the output file if nothing has changed.
.TP
.B   -f, --force
Force operation even if the current scm version
coincides with the reference version.
.TP
.B   -n, --use-reference
Use version number provided in the reference
file instead of determining it.
.TP
.B       --ignore-noscm
Don't treat no scm as error.
.SH AUTHOR
Written by Sebastian Freundt <freundt@fresse.org>
.PP
.SH REPORTING BUGS
Report bugs to: https://github.com/hroptatyr/yuck/issues


./* yuck.m4man ends here
